org.apache.storm.opentsdb.client

## Class ClientResponse.Details

- java.lang.Object
- - org.apache.storm.opentsdb.client.ClientResponse.Summary
  - - org.apache.storm.opentsdb.client.ClientResponse.Details

- All Implemented Interfaces:
    Serializable, ClientResponse
  Enclosing interface:
    ClientResponse

      public static class ClientResponse.Details
      extends ClientResponse.Summary

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientResponse.Details.Error`

    - ### Nested classes/interfaces inherited from interface org.apache.storm.opentsdb.client.ClientResponse

      `ClientResponse.Details, ClientResponse.Summary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Details()`
    `Details(int success, int failed, int timeouts, List<ClientResponse.Details.Error> errors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<ClientResponse.Details.Error>` | `getErrors()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.storm.opentsdb.client.ClientResponse.Summary

      `getFailed, getSuccess, getTimeouts`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Details

          public Details()

    - #### Details

          public Details(int success,
                         int failed,
                         int timeouts,
                         List<ClientResponse.Details.Error> errors)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ClientResponse.Summary`

    - #### getErrors

          public List<ClientResponse.Details.Error> getErrors()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ClientResponse.Summary`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ClientResponse.Summary`

Copyright © 2021 The Apache Software Foundation. All rights reserved.